From c2e940abaa83217995353120287868949d397974 Mon Sep 17 00:00:00 2001
From: Ondrej Nosek <onosek@redhat.com>
Date: Jan 17 2020 11:41:40 +0000
Subject: Improve coding style by sorting imports


Signed-off-by: Ondrej Nosek <onosek@redhat.com>

---

diff --git a/doc/fedpkg_man_page.py b/doc/fedpkg_man_page.py
index fb25159..786264f 100755
--- a/doc/fedpkg_man_page.py
+++ b/doc/fedpkg_man_page.py
@@ -6,7 +6,6 @@ import sys
 
 from six.moves.configparser import ConfigParser
 
-
 if __name__ == '__main__':
     module_path = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
     sys.path.insert(0, module_path)
diff --git a/fedpkg/__main__.py b/fedpkg/__main__.py
index ed2eac2..84e66bd 100644
--- a/fedpkg/__main__.py
+++ b/fedpkg/__main__.py
@@ -13,12 +13,13 @@ import logging
 import os
 import sys
 
+import six
+
 import fedpkg
 import fedpkg.utils
 import pyrpkg
 import pyrpkg.utils
 
-import six
 if six.PY3:  # SafeConfigParser == ConfigParser, former deprecated in >= 3.2
     from six.moves.configparser import ConfigParser
 else:
diff --git a/fedpkg/bugzilla.py b/fedpkg/bugzilla.py
index 274fc29..08674fa 100644
--- a/fedpkg/bugzilla.py
+++ b/fedpkg/bugzilla.py
@@ -12,9 +12,11 @@
 
 # So that we import the bugzilla package and not fedpkg.bugzilla
 from __future__ import absolute_import
+
 from datetime import datetime
 
 import bugzilla
+
 from pyrpkg import rpkgError
 
 
diff --git a/fedpkg/cli.py b/fedpkg/cli.py
index 785b9ca..ebf3a88 100644
--- a/fedpkg/cli.py
+++ b/fedpkg/cli.py
@@ -11,32 +11,32 @@
 # the full text of the license.
 
 from __future__ import print_function
-from pyrpkg.cli import cliClient
+
 import argparse
 import io
+import itertools
+import json
 import os
 import re
-import json
-import pkg_resources
-import six
 import shutil
 import textwrap
-import itertools
-
 from datetime import datetime
 
+import pkg_resources
+import six
 from six.moves import configparser
-from six.moves.configparser import NoSectionError
-from six.moves.configparser import NoOptionError
+from six.moves.configparser import NoOptionError, NoSectionError
 from six.moves.urllib_parse import urlparse
-from pyrpkg import rpkgError
+
 from fedpkg.bugzilla import BugzillaClient
 from fedpkg.utils import (assert_new_tests_repo, assert_valid_epel_package,
                           do_fork, expand_release, get_dist_git_url,
-                          get_fedora_release_state, get_distgit_token,
+                          get_distgit_token, get_fedora_release_state,
                           get_pagure_token, get_release_branches,
                           get_stream_branches, is_epel, new_pagure_issue,
                           sl_list_to_dict, verify_sls)
+from pyrpkg import rpkgError
+from pyrpkg.cli import cliClient
 
 RELEASE_BRANCH_REGEX = r'^(f\d+|el\d+|epel\d+)$'
 LOCAL_PACKAGE_CONFIG = 'package.cfg'
diff --git a/fedpkg/utils.py b/fedpkg/utils.py
index c84b6b4..3a1c04d 100644
--- a/fedpkg/utils.py
+++ b/fedpkg/utils.py
@@ -10,12 +10,12 @@
 # option) any later version.  See http://www.gnu.org/copyleft/gpl.html for
 # the full text of the license.
 
-import git
 import json
 import os
 import re
 from datetime import datetime
 
+import git
 import requests
 from requests.exceptions import ConnectionError
 from six.moves.configparser import NoOptionError, NoSectionError
diff --git a/setup.py b/setup.py
index 9e26216..032a5eb 100755
--- a/setup.py
+++ b/setup.py
@@ -3,7 +3,7 @@
 import os
 import sys
 
-from setuptools import setup, find_packages
+from setuptools import find_packages, setup
 
 try:
     from subprocess import getstatusoutput
diff --git a/test/test_bugzilla.py b/test/test_bugzilla.py
index cc83a20..2728274 100644
--- a/test/test_bugzilla.py
+++ b/test/test_bugzilla.py
@@ -11,11 +11,11 @@
 # the full text of the license.
 
 import six
+from mock import Mock, patch
 
 from fedpkg.bugzilla import BugzillaClient
 from pyrpkg import rpkgError
 from utils import unittest
-from mock import patch, Mock
 
 
 class BugzillaSideEffect(object):
diff --git a/test/test_cli.py b/test/test_cli.py
index d13664b..2c90b3a 100644
--- a/test/test_cli.py
+++ b/test/test_cli.py
@@ -10,14 +10,28 @@
 # option) any later version.  See http://www.gnu.org/copyleft/gpl.html for
 # the full text of the license.
 
-import git
 import io
 import json
 import os
-import pkg_resources
 import re
-import six
 import sys
+from datetime import datetime, timedelta
+from os import rmdir
+from tempfile import mkdtemp, mkstemp
+
+import git
+import pkg_resources
+import six
+from mock import Mock, PropertyMock, call, patch
+from six.moves import StringIO
+from six.moves.configparser import NoOptionError, NoSectionError
+
+import fedpkg.cli
+from fedpkg.bugzilla import BugzillaClient
+from fedpkg.cli import check_bodhi_version
+from freezegun import freeze_time
+from pyrpkg.errors import rpkgError
+from utils import CliTestCase
 
 try:
     import unittest2 as unittest
@@ -29,20 +43,7 @@ try:
 except ImportError:
     bodhi = None
 
-import fedpkg.cli
 
-from datetime import datetime, timedelta
-from fedpkg.bugzilla import BugzillaClient
-from fedpkg.cli import check_bodhi_version
-from freezegun import freeze_time
-from mock import call, patch, PropertyMock, Mock
-from os import rmdir
-from pyrpkg.errors import rpkgError
-from six.moves.configparser import NoOptionError
-from six.moves.configparser import NoSectionError
-from six.moves import StringIO
-from tempfile import mkdtemp, mkstemp
-from utils import CliTestCase
 
 
 class TestIsUpdateAborted(CliTestCase):
diff --git a/test/test_commands.py b/test/test_commands.py
index 752a5dd..7020d15 100644
--- a/test/test_commands.py
+++ b/test/test_commands.py
@@ -10,10 +10,10 @@
 # the full text of the license.
 
 import six
+from mock import Mock, PropertyMock, call, mock_open, patch
+from six.moves import builtins
 
-from mock import call, patch, Mock, PropertyMock, mock_open
 from pyrpkg.errors import rpkgError
-from six.moves import builtins
 from utils import CommandTestCase
 
 
diff --git a/test/test_retire.py b/test/test_retire.py
index 0ec17da..153dbc9 100644
--- a/test/test_retire.py
+++ b/test/test_retire.py
@@ -2,15 +2,15 @@
 
 import os
 import shutil
-import mock
-import tempfile
 import subprocess
+import tempfile
 
+import mock
 from six.moves import configparser
+
 from fedpkg.cli import fedpkgClient
 from utils import unittest
 
-
 TEST_CONFIG = os.path.join(os.path.dirname(__file__), 'fedpkg-test.conf')
 
 
diff --git a/test/test_utils.py b/test/test_utils.py
index 8f1c1d5..f7db2e4 100644
--- a/test/test_utils.py
+++ b/test/test_utils.py
@@ -11,16 +11,15 @@
 # the full text of the license.
 
 import json
-import six
 
-from freezegun import freeze_time
-from mock import patch, Mock
-from pyrpkg.errors import rpkgError
+import six
+from mock import Mock, patch
 from requests.exceptions import ConnectionError
-from six.moves.configparser import NoOptionError
-from six.moves.configparser import NoSectionError
+from six.moves.configparser import NoOptionError, NoSectionError
 
 from fedpkg import utils
+from freezegun import freeze_time
+from pyrpkg.errors import rpkgError
 from utils import unittest
 
 
diff --git a/test/utils.py b/test/utils.py
index 110cf61..3899412 100644
--- a/test/utils.py
+++ b/test/utils.py
@@ -10,16 +10,16 @@
 # option) any later version.  See http://www.gnu.org/copyleft/gpl.html for
 # the full text of the license.
 
+import logging
 import os
+import shutil
 import subprocess
 import tempfile
-import shutil
-import logging
-
-import pyrpkg
-import fedpkg.cli
 
 from six.moves import configparser
+
+import fedpkg.cli
+import pyrpkg
 from fedpkg import Commands
 
 try:

